lucid upgrade to precise universe failed: Could not calculate the upgrade, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

Bug #1052834 reported by Victor Zhou
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Fix Released
High
Unassigned

Bug Description

ARCH: amd64

Link to the test:
https://jenkins.qa.ubuntu.com/view/Precise/view/Upgrade%20Testing%20Dashboard/job/precise-upgrade-lucid-universe/ARCH=amd64,LTS=lts,PROFILE=universe,label=upgrade-test/

Error:
2012-09-19 00:09:13,411 DEBUG updateSourcesList()
2012-09-19 00:09:13,428 DEBUG rewriteSourcesList()
2012-09-19 00:09:13,430 DEBUG examining: 'deb http://archive.ubuntu.com/ubuntu lucid main restricted universe'
2012-09-19 00:09:13,430 DEBUG entry 'deb http://archive.ubuntu.com/ubuntu precise main restricted universe' updated to new dist
2012-09-19 00:09:13,430 DEBUG examining: 'deb http://archive.ubuntu.com/ubuntu lucid-security main restricted universe'
2012-09-19 00:09:13,430 DEBUG entry 'deb http://archive.ubuntu.com/ubuntu precise-security main restricted universe' updated to new dist
2012-09-19 00:09:13,430 DEBUG examining: 'deb http://archive.ubuntu.com/ubuntu lucid-updates main restricted universe'
2012-09-19 00:09:13,430 DEBUG entry 'deb http://archive.ubuntu.com/ubuntu precise-updates main restricted universe' updated to new dist
2012-09-19 00:09:13,433 DEBUG running doUpdate() (showErrors=True)
2012-09-19 00:09:17,616 DEBUG openCache()
2012-09-19 00:09:17,616 DEBUG failed to SystemUnLock() (E:Not locked)
2012-09-19 00:09:19,386 DEBUG /openCache(), new cache size 38602
2012-09-19 00:09:19,386 DEBUG needServerMode(): run in 'desktop' mode, (because of pkg 'ubuntu-desktop')
2012-09-19 00:09:20,583 ERROR Could not calculate the upgrade An unresolvable problem occurred while calculating the upgrade:
E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug using the command 'ubuntu-bug update-manager' in a terminal. (None)
2012-09-19 00:09:20,583 ERROR Dist-upgrade failed: 'E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.'
2012-09-19 00:09:20,583 DEBUG abort called
2012-09-19 00:09:20,584 ERROR view.abort called
2012-09-19 00:09:20,584 DEBUG openCache()
2012-09-19 00:09:20,584 DEBUG failed to SystemUnLock() (E:Not locked)
2012-09-19 00:09:22,039 DEBUG /openCache(), new cache size 30590
2012-09-19 00:09:22,041 DEBUG enabling apt cron job

Revision history for this message
Victor Zhou (victor.zhou) wrote :
Revision history for this message
Victor Zhou (victor.zhou) wrote :
Revision history for this message
Victor Zhou (victor.zhou) wrote :
Revision history for this message
Victor Zhou (victor.zhou) wrote :
Revision history for this message
Victor Zhou (victor.zhou) wrote :

Interesting! I can not find this bug today. Let's watch more days on the test.

Changed in update-manager (Ubuntu):
status: New → Incomplete
importance: Undecided → High
Revision history for this message
Victor Zhou (victor.zhou) wrote :

can not find this bug any more in the latest test, so close it.

Changed in update-manager (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers